import { AbstractBaseCache } from './abstractBaseCache';
import type { ICache, ICacheConfig } from './deckCacheFactory';
export declare class InfrastructureCachesInternal extends AbstractBaseCache {
    private static NAMESPACE;
    getNamespace(): string;
    clearCache(key: string): void;
    createCache(key: string, config: ICacheConfig): ICache;
}
export declare const InfrastructureCaches: InfrastructureCachesInternal;
